aboutsummaryrefslogtreecommitdiffstats
path: root/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh
diff options
context:
space:
mode:
Diffstat (limited to 'kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh')
-rw-r--r--kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh
new file mode 100644
index 0000000000..c1766f8a2a
--- /dev/null
+++ b/kubernetes/config/docker/init/src/config/consul/consul-agent-config/scripts/gremlin-script.sh
@@ -0,0 +1,16 @@
+
+NAME=$(/consul/config/bin/kubectl -n onap-aai get pod | grep -o "gremlin[^[:space:]]*")
+
+if [ -n "$NAME" ]; then
+ if /consul/config/bin/kubectl -n onap-aai exec -it $NAME -- ps -efww | grep 'java' | grep 'gremlin-server' > /dev/null; then
+
+ echo Success. Gremlin Server process is running. 2>&1
+ exit 0
+ else
+ echo Failed. Gremlin Server process is not running. 2>&1
+ exit 1
+ fi
+else
+ echo Failed. Gremlin Server container is offline. 2>&1
+ exit 1
+fi